// WinBarfDlg.h : header file
//

#if !defined(AFX_WINBARFDLG_H__F82FC26C_DC7A_4D7A_992B_9421B5325DD4__INCLUDED_)
#define AFX_WINBARFDLG_H__F82FC26C_DC7A_4D7A_992B_9421B5325DD4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CWinBarfDlg dialog

class CWinBarfDlg : public CDialog
{
// Construction
public:
	CWinBarfDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWinBarfDlg)
	enum { IDD = IDD_WINBARF_DIALOG };
	CListBox	m_RffDataBox;
	CListBox	m_LogBox;
	CString	m_RffFileName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWinBarfDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int oldmain (char* RffFileName);
	bool ExtractFile (const char* MatchName);
	bool LoadRffInformations (void);
	HICON m_hIcon;
	// Generated message map functions
	//{{AFX_MSG(CWinBarfDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpen();
	afx_msg void OnSelchangeRfflist();
	afx_msg void OnClearlog();
	afx_msg void OnClearlist();
	afx_msg void OnIdsOpenfile();
	afx_msg void OnHelpAboutwinbarf();
	afx_msg void OnFileClearlogbox();
	afx_msg void OnFileClearrffdatabox();
	afx_msg void OnFileExtractfiles();
	afx_msg void OnFileExtractall();
	afx_msg void OnMiscClearrffboxselections();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int *RffBuffer;
	bool ExtractFiles;
	bool ExtractAllFiles;
	CString RffFileName;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WINBARFDLG_H__F82FC26C_DC7A_4D7A_992B_9421B5325DD4__INCLUDED_)
